%define		_class		PEAR
%define		_subclass	Command
%define		upstream_name	%{_class}_RemoteInstaller
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.3.2
Release:	%mkrel 7
Summary:	PEAR Remote installation plugin through FTP, SFTP, and FTPS
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/PEAR_RemoteInstaller/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.0RC1
BuildArch:	noarch


%description
Originally part of the 1.4.0 new features,
remote installation through FTP, FTPS and SFTP is now its own package.
This package adds the commands "remote-install" "remote-upgrade"
"remote-uninstall" and "remote-upgrade-all" to the PEAR core.

To take advantage, you must have a config file on the remote
ftp server and full access to the server to create and remove
files.  The config-create command can be used to get started,
and the remote_config configuration variable is set to the
full URL as in "ftp://ftp.example.com/path/to/pear.ini" or
"ftps://user:pass@ftp.example.com/path/to/pear.ini" or
"ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

After this is done, install/upgrade as normal using the
remote* commands as if they were local.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PEAR_RemoteInstaller.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PEAR_RemoteInstaller.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PEAR_RemoteInstaller
fi

%files
%{peardir}/*
%{xmldir}/PEAR_RemoteInstaller.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.2-7.mga8
+ Revision: 1499139
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.2-6.mga7
+ Revision: 1273759
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.3.2-5.mga6
+ Revision: 937914
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 739050
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-3.mga5
+ Revision: 687412
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.2-2.mga4
+ Revision: 528245
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.3.2-1.mga4
+ Revision: 443904
- upgrade to version 0.3.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-10.mga3
+ Revision: 377132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 0.3.1-9.mga1
+ Revision: 27999
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PEAR_RemoteInstaller


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-9mdv2011.0
+ Revision: 607133
- rebuild

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-8mdv2010.1
+ Revision: 467949
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Oct 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-7mdv2010.0
+ Revision: 452039
- fix %%postun

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-6mdv2010.0
+ Revision: 450269
- use pear installer
- use fedora %%post/%%postun

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.1-5mdv2010.0
+ Revision: 426665
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-4mdv2009.1
+ Revision: 321893
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-3mdv2009.0
+ Revision: 224842
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2008.1
+ Revision: 178534
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 15547
- 0.3.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2007.0
+ Revision: 81195
- Import php-pear-PEAR_RemoteInstaller

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdk
- 0.3.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- 0.2.0
- new group (Development/PHP)

* Tue Nov 08 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package

